Index
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form
A
- Aborted - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
The job was canceled by the job creator, or by a user with the “Manage Data Integrations” permission.
- abortJob(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Abort an existing job it must be in a JobState of UploadComplete or InProgress to abort
- AbortJob - Class in io.aiven.kafka.connect.salesforce.common.bulk.query
-
Allow a job to be aborted, it can only be aborted if the state is InProgress or UploadComplete
- AbortJob() - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.query.AbortJob
-
Default constructor
- ACCEPT - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Header to accept particular content
- apiVersion(String) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Set the Salesforce Api version to be returned
- authenticate() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Authenticate with Salesforce will throw an error on failure to authenticate
B
- BEARER - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Authentication Bearer token identifier to be used with the access_token in http requests
- BulkApiClient - Class in io.aiven.kafka.connect.salesforce.common.bulk
-
This is a client for communicating with the Salesforce Bulk Api 2.0 It allows the authentication and creation of jobs, review of their status, return of the data and delete and abort when needed for the Bulk Query API.
- BulkApiClient(SalesforceCommonConfig) - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Constructor
- BulkApiClient.ExecutionResult - Record Class in io.aiven.kafka.connect.salesforce.common.bulk
-
The result of an execution request to Salesforce.
- BulkApiKey - Class in io.aiven.kafka.connect.salesforce.common.bulk.model
-
This BulkApiKey is used to contain all the important information required to be able to rebuild the same query again
- BulkApiKey(String, String, String, String) - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Constructor
- BulkApiKey(String, String, String, String, boolean) - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Constructor
- BulkApiQuery - Class in io.aiven.kafka.connect.salesforce.common.bulk.model
-
A model for submitting a bulk api v2.0 Query job.
- BulkApiQuery(String, String) - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiQuery
-
Create a new Bulk Api Query to submit to the API
- BulkApiResult - Class in io.aiven.kafka.connect.salesforce.common.bulk.query
-
This is a holder for the response from the Bulk Api It allows the storage and processing of the CSV file response.
- BulkApiResult(NativeInfo<BulkApiKey, String>, String) - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResult
-
This constructor allows you to create the object directly from the response received from the API
- BulkApiResultResponse - Class in io.aiven.kafka.connect.salesforce.common.bulk.query
-
BulkApiResultResponse includes the contents of the returned csv as well as the http headers that contain the number of records in the file and also the locator to use in the next request.
- BulkApiResultResponse() - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Default constructor for the BulkApiResultResponse object
C
- compareTo(BulkApiKey) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Compare two BulkApiKey's to see if they are the same
D
- deleteJob(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Attempts to delete the job.
E
- EMPTY_QUERY_PARAM - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
A constant for when no query params are being added to a URI
- equals(Object) - Method in record class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient.ExecutionResult
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
- exception() - Method in record class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient.ExecutionResult
-
Returns the value of the
exceptionrecord component. - ExecutionResult(HttpResponse<String>, Throwable) - Constructor for record class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient.ExecutionResult
-
Creates an instance of a
ExecutionResultrecord class.
F
- Failed - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
The job couldn’t be processed successfully.
- fromEpochMillis(Long) - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
Get an Instant time from Epoch Millis
- fromQueryString(String) - Static method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Create a SOQLQuery Object from a query String
- Fulfilled - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
The job has been completed and all results have been successfully returned
G
- getAccess_token() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
The Access Token
- getAccessToken(String, String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Login
-
Gets an access token from salesforce for authentication using the username password oauth2 flow
- getApiName() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Get the apiName for this key
- getApiUsage() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Get the Api Usage which gives us information on how much of our allocation of the api limits has been used. format: '145/15000' in this case 145 of the 15,000 allocation has been used
- getApiVersion() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the Api Version
- getByValue(String) - Static method in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
Using a string value get the enum value of the JobState
- getClientId() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.SalesforceClientCredentials
-
Returns the client id that is being used for authenticatoin
- getClientSecret() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.SalesforceClientCredentials
-
Get the client Secret
- getColumnDelimiter() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
The column delimiter
- getConcurrencyMode() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the concurrencyMode
- getContents() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResult
-
This is to retrieve the csv file contents
- getContentSize() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResult
-
Get the size of the content stored in this result
- getContentType() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the contentType
- getCreatedById() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the createdById
- getCreatedDate() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the createdDate
- getEarliest(String, Instant) - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
Compare a Instant with a time String and get the earliest time returned
- getErrorMessage() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Error Message
- getFrom() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the FROM portion of the select statement
- getGroupBy() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the GROUP BY portion of the select statement
- getHaving() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the HAVING portion of the select statement
- getId() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Get the id
- getId() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the job Id
- getIssued_at() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Get the time that this token was issued at
- getJobResults(String, String, String, BulkApiKey) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Checks if a job is ready to have its results retrieved.
- getJobResultsUri - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
This is the URI endpoint which when added to the salesforce uri is used to get the job results of a query.
- getKey() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResult
-
Gets the BulkApiKey for this result.
- getLastExecutionTime() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Get the last time this query was submitted against the api at
- getLatest(String, Instant) - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
Compare a Instant with a time String and get the latest time returned
- getLimit() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the LIMIT portion of the select statement
- getLineEnding() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the line ending
- getLocator() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Get the locator object
- getLocator() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Get the locator which is used in the retrieval of the next csv file if there is a next csv file.
- getMessage() - Method in record class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient.ExecutionResult
-
Gets the message associated with the result state.
- getMinimumQueryExecutionDelay() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
The minimum time between resubmitting the same SOQL query to the bulk api
- getNativeInfo() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResult
-
Get the NativeInfo for this result.
- getNumberOfRecords() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Get the number of records expected in this result set
- getOauthClientId() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
Client Id used for Oauth configuration
- getOauthClientId() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
Client Id used for Oauth configuration Also called the Client Key in Salesforce
- getOauthClientSecret() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
Client Secret used for Oauth configuration
- getOauthClientSecret() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
Client Secret used for Oauth configuration
- getObject() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the Object
- getObjectName() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResult
-
Get the name of the object these results are from
- getOffset() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the OFFSET portion of the select statement
- getOperation() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiQuery
-
Get the operation type for this query
- getOperation() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the operation
- getOrderBy() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the ORDER BY portion of the select statement
- getQuery() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiQuery
-
Get the SOQL query for the operation
- getQueryExecutionTime() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResult
-
Get the time the query was executed at
- getQueryHash() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Get the murmur3 hash of the original query submitted against Salesforce's api
- getQueryString(String, boolean) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Generates a SOQL query string that can be used to retrieve information from Salesforce through the bulk api.
- getResult() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Get the BulkApiResul which contains the body of the response This is a csv file in String format
- getSalesforceApiVersion() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
The Salesforce Api version to be returned
- getSalesforceApiVersion() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
The Salesforce Api version to be returned
- getSalesforceMaxRecords() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
The maximum number of records to return from the Bulk Api Query at a time.
- getSalesforceMaxRecords() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
The maximum number of records to return from the Bulk Api Query at a time.
- getSalesforceMaxRetries() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
The maximum number of retries for sales force connection.
- getSalesforceMaxRetries() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
The maximum number of retries to execute when making queries against the Bulk API
- getSalesforceOauthUri() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
The specific Salesforce uri used for all requests including authentication and submitting queries
- getSalesforceOauthUri() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
The specific Salesforce uri used for all requests including authentication and submitting queries
- getSalesforceStatusCheckWait() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
The time to wait between checking the status of a job that has been submitted to the bulk api in seconds
- getSalesforceUri() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
The specific Salesforce uri used for all requests to the bulk api
- getSalesforceUri() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
The specific Salesforce uri used for all requests to the bulk api
- getSalesforceWaitBetweenQueries() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
The minimum time to wait between the submitting of the same SOQL query
- getSelect() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the SELECT portion of the select statement
- getSignature() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Return the signature on the access token
- getSOQLQuery() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the original SOQL query string that was used to create this object
- getState() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.AbortJob
-
Get the abort state
- getState() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the state
- getStatusCheckWaitTime() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
The time to wait in between querying the status of a job
- getSystemModstamp() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Get the systemModstamp
- getToken_type() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Get the type of token that is being returned
- getTopicPrefix() - Method in interface io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfig
-
Gets the topic prefix to be added to calculated topic name.
- getTopicPrefix() - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
Get the topic prefix which is used to determine the topic names that data is sent to.
- getValue() - Method in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
Get the String value of the JobState Enum
- getWhere() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the WHERE portion of the select statement
- getWith() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Get the contents of the WITH portion of the select statement
H
- hashCode() - Method in record class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient.ExecutionResult
-
Returns a hash code value for this object.
- hashCode() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
I
- InProgress - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
The job is being processed by Salesforce.
- InstantUtil - Class in io.aiven.kafka.connect.salesforce.common.time
-
This class handles the valid Date and DateTime formats supported by Salesforce.
- io.aiven.kafka.connect.salesforce.common - package io.aiven.kafka.connect.salesforce.common
- io.aiven.kafka.connect.salesforce.common.auth.credentials - package io.aiven.kafka.connect.salesforce.common.auth.credentials
- io.aiven.kafka.connect.salesforce.common.bulk - package io.aiven.kafka.connect.salesforce.common.bulk
- io.aiven.kafka.connect.salesforce.common.bulk.model - package io.aiven.kafka.connect.salesforce.common.bulk.model
- io.aiven.kafka.connect.salesforce.common.bulk.query - package io.aiven.kafka.connect.salesforce.common.bulk.query
- io.aiven.kafka.connect.salesforce.common.config - package io.aiven.kafka.connect.salesforce.common.config
- io.aiven.kafka.connect.salesforce.common.exceptions - package io.aiven.kafka.connect.salesforce.common.exceptions
- io.aiven.kafka.connect.salesforce.common.query - package io.aiven.kafka.connect.salesforce.common.query
- io.aiven.kafka.connect.salesforce.common.time - package io.aiven.kafka.connect.salesforce.common.time
- isExecuting() - Method in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
Returns
trueif this state is in progress.
J
- JobComplete - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
The job was processed.
- JobState - Enum Class in io.aiven.kafka.connect.salesforce.common.bulk.query
-
The State of the Bulk API 2.0 Query Job states as described in the documentation, in addition there is a `Submitted` and a 'fulfilled' state used internally in the connector.
M
- max(String...) - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
From a list of time Strings return the latest time
- maxRecords(int) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Set the maximum number of records to return from the Bulk Api Query at a time.
- maxRetries(int) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Sets the maximum retries for connections to Salesforce.
- min(String...) - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
From a list of time Strings return the oldest time
N
- now() - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
Get a Instant of the currentTime with millisecond precision using the UTC zoneId
O
- Oauth2Credentials - Class in io.aiven.kafka.connect.salesforce.common.auth.credentials
-
This is a POJO for receiving an authentication response from salesforce in the username-password oauth2 flow.
- Oauth2Credentials() - Constructor for class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Default constructor
- Oauth2Login - Class in io.aiven.kafka.connect.salesforce.common.auth.credentials
-
This class allows a username and password to login to salesforce and retrieve an access token for authentication.
- Oauth2Login(String, HttpClient) - Constructor for class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Login
-
Constructor for Oauth2Login
- oauthClientId(String) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Set the Client Id used for Oauth configuration
- oauthClientSecret(String) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Set the Client Secret used for Oauth configuration
- oauthUri(String) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Set the specific Salesforce uri used for all requests including authentication and submitting queries
- Open - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
An ingest job was created and is open for data uploads.
P
- parse(String) - Static method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
-
Parses the BuildApiKey string into a BuildApiKey implementation.
- parseString(String) - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
Returns a Instant from a time String with millisecond precision
Q
- QUERY_OPERATION - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
The type of operation that is to be made against the Bulk API At the moment only Query operations are supported later this may become an enum to also allow updates
- queryJobByIdUri - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
This is the URI endpoint which when added to the salesforce uri is used to check the status of a query, abort a query or delete a query.
- queryJobStatus(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Polls the job status and returns a QueryResponse if the query was successfull.
- QueryResponse - Class in io.aiven.kafka.connect.salesforce.common.bulk.query
-
QueryResponse Contains all the information that is returned from the Salesforce Bulk API
- QueryResponse() - Constructor for class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Default constructor
R
- response() - Method in record class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient.ExecutionResult
-
Returns the value of the
responserecord component.
S
- SalesforceClientCredentials - Class in io.aiven.kafka.connect.salesforce.common.auth.credentials
-
Client credentials body for authenticating with salesforce The toString() method provides the appropriately formatted bod to be used with application/www-x-form-urlencoded
- SalesforceClientCredentials(String, String) - Constructor for class io.aiven.kafka.connect.salesforce.common.auth.credentials.SalesforceClientCredentials
-
The constructor for the client credentials
- SalesforceCommonConfig - Interface in io.aiven.kafka.connect.salesforce.common.config
-
Common methods for Authentication and communication with Salesforce
- SalesforceCommonConfigFragment - Class in io.aiven.kafka.connect.salesforce.common.config
-
The SalesforceCommonConfigFragment has all the configuration needed to authenticate and communicate with a configured Salesforce system.
- SalesforceCommonConfigFragment(FragmentDataAccess) - Constructor for class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
Allows data to be added directly into the config fragment
- SalesforceCommonConfigFragment.Setter - Class in io.aiven.kafka.connect.salesforce.common.config
-
A setter for the SalesforceCommonConfigFragment.
- setAccess_token(String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Set the access Token
- setApiUsage(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Set the Api Usage which gives us information on how much of our allocation of the api limits has been used. format: '145/15000' in this case 145 of the 15,000 allocation has been used
- setApiVersion(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the Api Version
- setClientId(String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.SalesforceClientCredentials
-
The client id to authenticate with
- setClientSecret(String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.SalesforceClientCredentials
-
Setter for the client secret
- setColumnDelimiter(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the column delimiter
- setConcurrencyMode(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the concurrencyMode
- setContentType(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the contentType
- setCreatedById(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the createdById
- setCreatedDate(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the createdDate
- setErrorMessage(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the Error message from the Bulk API
- setFrom(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the FROM portion of the select statement
- setGroupBy(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the GROUP BY portion of the select statement
- setHaving(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the HAVING portion of the select statement
- setId(String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
set the id
- setId(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the job Id
- setIssued_at(String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Time that the token was issues at
- setLimit(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the LIMIT portion of the select statement
- setLineEnding(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the line ending
- setLocator(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Set the Locator which is used to identify and retrieve the next set of results from the bulk api.
- setNumberOfRecords(int) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
Set the number of records expected in this result set
- setObject(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the Object
- setOffset(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the OFFSET portion of the select statement
- setOperation(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the operation
- setOrderBy(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the ORDER BY portion of the select statement
- setResult(BulkApiResult) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.BulkApiResultResponse
-
This is used to retrieve the contents of the body which is a csv file in string format
- setSelect(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the SELECT portion of the select statement
- setSignature(String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
Set the signature on the access token
- setSOQLQuery(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the original SOQL query that was supplied to create this Object
- setState(JobState) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the state
- setSystemModstamp(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.query.QueryResponse
-
Set the systemModstamp
- setter(Map<String, String>) - Static method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
Setter to configure configData
- setToken_type(String) - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.Oauth2Credentials
-
The type of token that is being returned
- setWhere(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the WHERE portion of the select statement
- setWith(String) - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Set the contents of the WITH portion of the select statement
- SFAuthException - Exception Class in io.aiven.kafka.connect.salesforce.common.exceptions
-
Exception thrown when Sales force authentication fails.
- SFAuthException(String) - Constructor for exception class io.aiven.kafka.connect.salesforce.common.exceptions.SFAuthException
-
Constructor.
- SFForbiddenException - Exception Class in io.aiven.kafka.connect.salesforce.common.exceptions
-
Exception thrown when authentication fails.
- SFForbiddenException(String) - Constructor for exception class io.aiven.kafka.connect.salesforce.common.exceptions.SFForbiddenException
-
Constructor.
- SFRetryException - Exception Class in io.aiven.kafka.connect.salesforce.common.exceptions
-
An exception that is thrown when the retries are exhausted.
- SFRetryException(String) - Constructor for exception class io.aiven.kafka.connect.salesforce.common.exceptions.SFRetryException
-
Constructor.
- SOQLQuery - Class in io.aiven.kafka.connect.salesforce.common.query
-
This class allows the deconstruction and reconstruction of a SOQL query for use in the querying of data.
- submitJobUri - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
This is the URI endpoint which when added to the salesforce uri is used to submit a query.
- submitQueryJob(String) - Method in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
Submits a query to the Salesforce Bulk Api v2 throws an exception if unable to submit the query to salesforce
- Submitted - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
A new job has been submitted to the API
T
- TEXT_CSV - Static variable in class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient
-
A static constant for content-type when expecting a csv to be returned
- toFormUrlEncodedFormat() - Method in class io.aiven.kafka.connect.salesforce.common.auth.credentials.SalesforceClientCredentials
-
This method provides the expected format for the client credentials request that aligns with the application/x-www-form-urlencoded that is expected by the login api
- toMilliString(Instant) - Static method in class io.aiven.kafka.connect.salesforce.common.time.InstantUtil
-
Get the Instant in a String format that is supported by the Salesforce api as toString will return the smallest possible string version of the time.
- topicPrefix(String) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Sets the topic prefix which determines the name of the topic data is sent to.
- toString() - Method in record class io.aiven.kafka.connect.salesforce.common.bulk.BulkApiClient.ExecutionResult
-
Returns a string representation of this record class.
- toString() - Method in class io.aiven.kafka.connect.salesforce.common.bulk.model.BulkApiKey
- toString() - Method in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
U
- update(ConfigDef) - Static method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
Adds the configuration options that are common to all Salesforce configurations.
- UploadComplete - Enum constant in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
(Ingest) All job data has been uploaded and the job is ready to be processed.
- uri(String) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment.Setter
-
Set the specific Salesforce uri used for all requests to the bulk api
V
- validate() - Method in class io.aiven.kafka.connect.salesforce.common.query.SOQLQuery
-
Validates that the SOQL query meets the expectations of the connector for it to be able to track offsets correctly
- validate(Map<String, ConfigValue>) - Method in class io.aiven.kafka.connect.salesforce.common.config.SalesforceCommonConfigFragment
-
Override of the validate method
- valueOf(String) - Static method in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
Returns the enum constant of this class with the specified name.
- values() - Static method in enum class io.aiven.kafka.connect.salesforce.common.bulk.query.JobState
-
Returns an array containing the constants of this enum class, in the order they are declared.
- VisibleForTesting - Annotation Interface in io.aiven.kafka.connect.salesforce.common
-
VisibleForTesting
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form